发布时间 :2005-12-22 06:03:00
修订时间 :2011-03-07 21:28:22

[原文]Cross-site scripting (XSS) vulnerability in RAMSite R|1 CMS 1.0 and earlier allows remote attackers to inject arbitrary web script or HTML via the searchfield parameter.

[CNNVD]RAMSite R1 CMS跨站脚本攻击漏洞(CNNVD-200512-529)

        RAMSite R|1 CMS 1.0及更早版本存在跨站脚本攻击漏洞,远程攻击者可以通过searchfield参数注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  VUPEN  ADV-2005-3035
(UNKNOWN)  BID  16012

- 漏洞信息

RAMSite R1 CMS跨站脚本攻击漏洞
中危 跨站脚本
2005-12-22 00:00:00 2006-06-06 00:00:00
        RAMSite R|1 CMS 1.0及更早版本存在跨站脚本攻击漏洞,远程攻击者可以通过searchfield参数注入任意Web脚本或HTML。

- 公告与补丁


- 漏洞信息

RAMSite R|1 CMS Search Module searchfield Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity Discontinued Product
Exploit Public Vendor Verified, Uncoordinated Disclosure

- 漏洞描述

RAMSite R|1 CMS contains a flaw that allows a remote cross-site scripting (XSS) attack. This flaw exists because the application does not validate the 'searchfield' parameter upon submission to the 'Search Module' script. This may allow a user to create a specially crafted URL that would execute arbitrary script code in a user's browser within the trust relationship between their browser and the server.

- 时间线

2005-12-21 Unknow
2005-12-21 Unknow

- 解决方案

While the vendor acknowledged the exploit and stated it would be fixed in the next release, the vendor discontinued this product and therefore has released no known patch or upgrade that mitigates this problem. It is recommended that an alternate software package be used in its place.

- 相关参考

- 漏洞作者

Unknown or Incomplete